#Инсталлер

  • В инсталлере ошибка, показывает что есть обновления но при заходе выводит ошибку:Подскажите как победить? Кеши чистил.Все остальное работает.

  • +4 Не принято

    При установке обновления Фреймворк Вебасист 1.5.11.49 Установленная версия: 1.5.10.39 в Инсталлере возникает ошибка "Error on make backup for wa-system at wa-data/protected/wa-installer/backup/wa-system".

  • 0

    Как разработчик пользуюсь бесплатной версий SS7, но после обновления Инсталлер перестал нормально работать из-за всплывающего сообщения: "Установка и использование Shop-Script 7 на домене WASITE.RU не лицензирована. Для продолжения использования...

  • +1

    Добрый день, Как-то раз запустил обновление, но в этот момент окно браузера было закрыто - т.е. обновление через инсталлер не было завершено или остановлено корректно.С тех самых пор при каждом обновлении выдает следующую ошибку:exception...

  • Есть решение

    Добрый день!Ставил WebAsyst и Shop Script из ГИТ. Нужно было поставить бесплатный плагин, но Инсталлера нет, и поставить его нет возможности (как написано в инструкциях Гита). Как тогда быть с плагинами?

    Git версия для разработчиков соответственно приложения Инсталлер в нём нет.Если вам требуется тестировать на обычной, возьмите установку со страницы http://www.shop-script.ru/platform/
    Алексей Курдюков Алексей
  • +3

    В связи с соседним тредиком про кэш.В моих плагинах, если что-то нужно закэшировать, я использовал припудительно файловый кэш. Однако раз нашелся хоть кто-то, кроме меня, кто настроил системный, сейчас переделываю так, чтобы использовался настроенный...

  • Есть решение

    После обновления в инсталлере вот такая картина .. почему-то висит обновленное приложение, хотя фактически оно обновлено.Как убрать?

    Плагин не обновлен, поэтому предлагается его обновить.Строка с Shop-script просто разделитель для списка обновлений отображающая что список ниже относится к этому приложению.
    Алексей Курдюков Алексей
  • +1

    Инсталлер классная штука, но было бы здорово, если бы не на облачных версиях была возможность через него загружать архив с плагином в приложение. С одной стороны не сложно объяснить клиенту, куда и как распаковать плагин, но если бы было в коробке, то...

  • Есть решение

    Поясните, как работает и в чем отличия при выборе настроек:Локализация Gettext (рекомендуется)Локализация PHPС наскоку не понял, экспериментировать нет сейчас возможности.Спасибо.

    Реализация локализации на PHP работает медленнее и используется там, где недоступно расширение gettext.Так же имеет смысл использовать на тех хостингах, где gettext работает некорректно (при обновлении строк локализации требуется перезагрузка apache для того, чтобы строки стали переводиться правильно, "застревают" английские строки вместо переводов) и очистка кеша в инсталлере не помогает.
    Владислав Горлов Владислав Горлов
  • Если вы раньше никогда не пользовались Webasyst, то сначала зарегистрируйтесь в облаке Webasyst (это намного проще и бесплатно в течение первых 30 дней) или установите Webasyst на своем сервере (потребуется умение устанавливать PHP-скрипты). Войдя в...

  • Название вашего Webasyst-аккаунта, которое отображается в левом верхнем углу бекенда, можно изменить с помощью приложения «Инсталлер» в разделе «Настройки → Название компании».

  • Инсталлер не хочет обновлять Фреймворк Вебасист - пишет ". should be writable" (справа, вместо кнопки "Обновить" )Свой хостинг. Предыдущие обновления фреймворка устанавливались без ошибки. Права доступа, владелец, группа, похоже, в...

  • +1

    Приветствую!Что-то у меня "залип" магазин в разделе обновлений на рабочем сервере... На тестовой установке все нормуль. Описывать сложно, проще показать, вот:Т.е. если установить все обновления - пишет что все установлено, все в норме. Но...

  • Что такое лицензия Лицензия — это ваше право использовать одну установленную копию платного программного продукта (подробнее о лицензировании). Если вам нужно установить ещё одну копию этого продукта, то необходимо приобрести дополнительную...

  • +1

    Если фреймворк установлен не в корне сайта а в каком-либо подкаталоге, то в разделе "Установлено" приложения Инсталлер не подгружаются изображения приложений, т.к. URL изображения формируется относительно корня сайта а не относительно...

  • Есть решение

    Вот есть у меня пара десятков отключенных плагинов. Внезапно после обновления Инсталлер зачем-то захотел их обновить. Зачем? Можно это как-то отключить? (вариант с ручным запретом на обновление я знаю)

    Простейший пример:Вы использовали какой-то плагин, вышло обновление, появился баг, вы временно отключили плагин, чтобы дождаться новой версии...Как же тогда узнать вышла новая версия плагина или нет? Включать его обратно? Или заходить на страницу плагина и проверять не появилось ли там новой версии что ли?Инсталлер пытается обновить всё что у вас установлено, неважно включено оно или нет.Удаляйте полностью плагины, если они вам не нужны совсем.
    Александр Викторович Музыченко Александр Викторович Музыченко
  • При возникновение неполадок на вашем сайте может открываться страница с сообщением об ошибке №0: Чтобы получить больше информации об этой ошибке, включите параметр «Режим отладки» в приложении «Настройки». После этого сообщение станет...

  • +1

    Поправьте верстку в инсталлере. Зачем между каждым тегом <li> нужен <br>? Было:http://piccy.info/view3/9024844/06685df34d55abd8d5...Стало:http://piccy.info/view3/9024848/1e64476ef3f702ade2...А вообще, в идеале, можно было все засунуть под...

  • Здравствуйте. Такой вопрос, был куплен плагин, сейчас он ненужен. В связи с этим вопрос, если его удалить через инсталлер, то потом его можно будет еще раз установить бесплатно, или придется еще раз покупать?

  • +1

    Приветствую!Было бы удобно, если б была возможность переустановить приложение, плагин через интерфейс инсталлера. Т.е. установить последнюю версию приложения поверх установленной (даже если установленная имеет такой же номер) без ее удаления. Штука...

  • +3 Архив

    После установки или обновления предлагается "Скачать журнал установки"Но при клике по этой ссылке получаюЭто у всех так или где-то ошибка?

  • +3

    В инсталлере висят обновления приложений и напротив каждого надпись - Требуется «Фреймворк Вебасист» версии не менее 1.5.0 (текущая версия — 1.4.2.41714)Но самого обновления фреймворка в списке нет. Его вручную нужно...

  • Где можно увидеть список обновлений в инсталлере с датами и внесенными изменениями в этих обновлениях?

  • Видимо проблема как-то связана с вот этой темой.https://support.webasyst.ru/forum/6216/problemy-pr...А теперь, когда заходишь в Инсталлер, то видишь вот такое.Текст:Warning: dgettext(): msgid passed too long in...

  • +1 Есть решение

    Без вмешательства в код, без изменений на стороне сервера и настроек хостинга Wasebyst начал выдавать в самых разных местах ошибки как на скриншоте https://yadi.sk/i/ufRWXQ8Zif8rS. Два дня назад не мог загрузить картинки с этой же ошибкой, но избавился...

  • +5 Выполнено

    Предлагаю в магазине плагинов сделать кнопочку, по которой показываются последние 10-30 новых и/или обновленных плагинов из всех категорий. Иначе заглядывая туда, необходимо перебрать все категории чтобы посмотреть, а не появился ли новый плагин для...

  • Есть решение

    Здравствуйте, если в новой версии плагина создана таблица в базе данных, будет ли она создана автоматически при обновлении этого плагина в инсталлере у тех, кто его уже купил?

    Автоматически не будет создана. Нужно использовать метаобновления для всех изменений в БД. http://www.webasyst.ru/developers/docs/basics/meta-updates/
    Eugen Nichikov Eugen Nichikov
  • Здравствуйте! Такой вопрос, для продажи приложений/плагинов/* через инсталлер, резедентам РФ нужен статус юридического лица либо частного предпринимателя, а для не резидентов (например с Украины), это условие не обязательное? То есть могут продавать и...